Summary: GNU ed,a line-oriented text editor
Name: ed
Version: 1.19
Release: 3%{?dist}
License: GPLv2 and GPLv2+ and GFDL
URL: http://www.gnu.org/software/ed/
# If you want to avoid to BuildRequires lzip, you need to repackage it as tar.gz.
Source0: http://mirrors.ustc.edu.cn/gnu/ed/%{name}-%{version}.tar.lz

BuildRequires: gcc make
BuildRequires: lzip
Requires(post): info
Requires(preun): info

%description
GNU ed is a line-oriented text editor. It is used to create, display,
modify and otherwise manipulate text files, both interactively and via
shell scripts.Ed is the 'standard' text editor in the sense that it is 
the original editor for Unix.For most purposes, however, it is superseded 
by full-screen editors such as emacs and vi.


%prep
%autosetup


%build
%configure
%make_build CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"


%install
%make_install
rm -f %{buildroot}%{_infodir}/dir


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%license COPYING
%doc ChangeLog NEWS README AUTHORS
%{_infodir}/ed.info.gz
%{_mandir}/man1/{,r}ed.1.gz
%{_bindir}/{,r}ed


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 1.19-1
- Upgrade to version 1.19

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jun 02 2022 doriscchao <doriscchao@tencent.com> - 1.18-1
- initial ed,Version 1.18,Release 1
